Bug 227381 - graveman: $RPM_OPT_FLAGS not used, no FLAC support
graveman: $RPM_OPT_FLAGS not used, no FLAC support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: graveman (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-05 13:43 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-11 11:48:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Specfile patch (1.15 KB, patch)
2007-02-05 13:43 EST, Ville Skyttä
no flags Details | Diff
./configure patch (924 bytes, patch)
2007-02-05 13:44 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-02-05 13:43:21 EST
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

graveman is built without $RPM_OPT_FLAGS, resulting in no compiler security
features and more or less useless debuginfo.  Fix attached.  The configure.in
part should be acceptable upstream as is...

Also, the patch enables FLAC support and disables dependency tracking for
cleaner build output and possible build speedups.
Comment 1 Ville Skyttä 2007-02-05 13:43:21 EST
Created attachment 147390 [details]
Specfile patch
Comment 2 Ville Skyttä 2007-02-05 13:44:04 EST
Created attachment 147391 [details]
./configure patch
Comment 3 Gérard Milmeister 2007-02-11 11:48:24 EST
Fixed

Note You need to log in before you can comment on or make changes to this bug.